import dynamix_sdk.base as _base


class CloudapiComputeResetResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeResetProtocol(_base.BasePostAPIFunctionProtocol):
    def reset(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeResetResultBool:
        ...
